This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 24036 - Backspace OK but no Delete key in all terminal progs
Backspace OK but no Delete key in all terminal progs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: tcsh (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-15 12:23 EST by ian.clark
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-02 08:23:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ian.clark 2001-01-15 12:23:58 EST
I have a fresh Redhat Linux version 7 install. 
I have managed to get the backspace key to work under all X programs, but
the Delete
key is still giving me headaches. The delete key under X works for the
login
prompt (graphical) and it works fine in Netscape. However in all
terminal programs it just produces ~ symbols.
I have a UK keyboard if this helps?
this is similar to bug 18771 but that  was for backspace and not the delete
key.
If I use 'less' the the backspace key just produces ^H's and the delete
key, enters the entry
and does not delete. Also ftp to any remote system with a command line ftp,
backspace
produces ^H and delete produces ~[[3 or something like that.
Any suggestions. If the delete key didn't work in the login and
netscape programs I would think it q bug, but as it only doesn;t work in
terminal and related
command line programs I'm stuck. I have read the HOWTOs etc and no end of 
playing with keymaps, stty etc, makes no difference. This use to work fine
with Redhat 5.0, 5.1, 5.2, 6.0 and 6.1.

Please help.
Comment 1 ian.clark 2001-01-26 10:48:03 EST
I should have included that I am using TCSH as the shell.

Comment 2 Preston Brown 2001-01-30 16:32:01 EST
tcsh needs to learn ^[[3~ is delete.
Comment 3 ian.clark 2001-02-02 08:23:28 EST
I have tried this and sure enough delete now works in tcsh sessions, however
command line 'ftp' and 'more' still do not work, so these must be using the
terminal driver? any idea how I can force the terminal driver to operate on
delete correctly?

Comment 4 Eido Inoue 2001-02-13 13:47:56 EST
/etc/csh.login has been updated so that tcsh gets taught what the delete key is.
Comment 5 Pekka Savola 2001-06-26 06:11:20 EDT
Isn't there any more generic solution?  When you ssh into non-RH7{,1} boxes,
delete key is broken unless you add it to the shell initialization there too.
Comment 6 diego.santacruz 2002-01-07 12:39:41 EST
Shouldn't the fix in /etc/csh.login go into /etc/csh.cshrc instead?
Otherwise the delete key keeps failing in non-login shells (e.g., terminal under X).

Note You need to log in before you can comment on or make changes to this bug.